
export enum MessageSeverity {
    Error = 'error',
    Warning = 'warning',
    Info = 'info',
    Success = 'success'
}    

export interface CarData {
    id: number;
    carNumber: string;
    inboundDate: Date;
    shopProcessing: string;
    message?: string;
    severity?: MessageSeverity;
}

function generateMessage(carData: CarData): void {
    let carNumber = parseInt(carData.carNumber.replace('Car ', ''));
    let severity: MessageSeverity;

    if (carNumber < 4) {
        if (carNumber === 0) {
            severity = MessageSeverity.Error;
        } else if (carNumber === 1) {
            severity = MessageSeverity.Warning;
        } else if (carNumber === 2) {
            severity = MessageSeverity.Success;
        } else {
            severity = MessageSeverity.Info;
        }

        carData.message = `This is a(n) ${severity} message`;
        carData.severity = severity;
    }
}

export function getData(): any {
    let data: CarData[] = [];
    for (let i = 0; i < 10; i++) {
        let carData: CarData = {
            id: i,
            carNumber: `Car ${i}`,
            inboundDate: new Date(2014, 1, 1),
            shopProcessing: `Shop ${i}`
        };

        generateMessage(carData);
        data.push(carData);
    }
    console.log('getData()', data);
    return data;
}
export const serverData = getData();